<template>
  <div class="ml-1 px-2 bg-yellow-200 hover:bg-green-300 hover:text-black">
    <button class="focus:outline-none" @click="mostrar">Entrar</button>
    <dialog-modal :show="abrirModal" @close="abrirModal = false">
    <template #title>
        Ingresar
    </template>
    <template #content>
        <div>
            <jet-validation-errors class="mb-2" />
            <form @submit.prevent="botonLogin">
                <input ref="search" type="text" placeholder="Usuario" v-model="form.username" required autofocus
                class="w-full pl-2 mt-1 focus:ring-indigo-500 shadow-sm sm:text-sm border border-gray-400 rounded-md focus:outline-none">
                <input type="password" placeholder="Clave" v-model="form.password" required
                class="w-full pl-2 mt-2 focus:ring-indigo-500 shadow-sm sm:text-sm border border-gray-400 rounded-md focus:outline-none"
                >
                <div class="flex justify-end mt-6">
                    <jet-button class="mr-3 bg-blue-400 hover:bg-blue-300"
                    @click="botonLogin">
                        Entrar
                    </jet-button>

                    <jet-button class="bg-red-400 hover:bg-red-300"
                    @click.native="abrirModal = false"
                    type="button">
                        Cancelar
                    </jet-button>
                </div>
            </form>
        </div>
    </template>
    </dialog-modal>
  </div>
</template>

<script>
import DialogModal from '@/Jetstream/DialogModal'
import JetButton from '@/Jetstream/Button'
import JetValidationErrors from '@/Jetstream/ValidationErrors'
export default {
    components: {
        DialogModal,
        JetButton,
        JetValidationErrors,
    },
    data() {
    return {
      menuAbrir: false,
      abrirModal: false,
      form: this.$inertia.form({
          username: '',
          password: '',
      }),
    }
    },
    methods: {
    mostrar(){
      this.abrirModal =!this.abrirModal
    },
    botonLogin(){
        this.form
            .post(this.route('login'),{
                onSuccess: () => this.abrirModal = false,
                onFinish: () => this.form.reset('password'),
            })
    }
    }
}
</script>

<style>

</style>